Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.mas2j
Class MAS2JProject

    java.lang.Object
      jason.mas2j.MAS2JProject

    public class MAS2JProject

extends java.lang.Object

Represents a MAS2J project (usually created from a .mas2j file)

Field Summary
`static java.lang.String` | `AS_EXT`
`static java.lang.String` | `EXT`

Constructor Summary
`MAS2JProject()`

Method Summary
`void` | `addAgent(AgentParameters a)`
`void` | `addClassPath(java.lang.String cp)`
`void` | `addDirectiveClass(java.lang.String id, ClassParameters classname)`
`void` | `addSourcePath(java.lang.String cp)`
`void` | `fixAgentsSrc(java.lang.String urlPrefix)` change the source of the agents using the source path information, also considers code from a jar file (if urlPrefix is not null)
`AgentParameters` | `getAg(java.lang.String name)`
`java.util.List<AgentParameters>` | `getAgents()`
`java.util.Set<java.io.File>` | `getAllASFiles()`
`java.util.List<java.lang.String>` | `getClassPaths()`
`ClassParameters` | `getControlClass()`
`java.util.Map<java.lang.String,java.lang.String>` | `getDirectiveClasses()`
`java.lang.String` | `getDirectory()`
`ClassParameters` | `getEnvClass()`
`ClassParameters` | `getInfrastructure()`
`InfrastructureFactory` | `getInfrastructureFactory()`
`java.io.File` | `getProjectFile()`
`java.lang.String` | `getSocName()`
`java.util.List<java.lang.String>` | `getSourcePaths()`
`void` | `initAgMap()`
`static MAS2JProject` | `parse(java.lang.String file)`
`void` | `registerDirectives()`
`void` | `removeSourcePath(int index)`
`void` | `setControlClass(ClassParameters sControl)`
`void` | `setDirectory(java.lang.String d)`
`void` | `setEnvClass(ClassParameters e)`
`void` | `setInfrastructure(ClassParameters infra)`
`void` | `setProjectFile(java.io.File f)`
`void` | `setSocName(java.lang.String s)`
`void` | `setupDefault()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXT

    public static final java.lang.String EXT

See Also:
  Constant Field Values

### AS_EXT

    public static final java.lang.String AS_EXT

See Also:
  Constant Field Values

Constructor Detail

### MAS2JProject

    public MAS2JProject()

Method Detail

### parse

    public static MAS2JProject parse(java.lang.String file)

### setupDefault

    public void setupDefault()

### setDirectory

    public void setDirectory(java.lang.String d)

### getDirectory

    public java.lang.String getDirectory()

### setProjectFile

    public void setProjectFile(java.io.File f)

### getProjectFile

    public java.io.File getProjectFile()

### setInfrastructure

    public void setInfrastructure(ClassParameters infra)

### getInfrastructure

    public ClassParameters getInfrastructure()

### setEnvClass

    public void setEnvClass(ClassParameters e)

### getEnvClass

    public ClassParameters getEnvClass()

### setSocName

    public void setSocName(java.lang.String s)

### getSocName

    public java.lang.String getSocName()

### setControlClass

    public void setControlClass(ClassParameters sControl)

### getControlClass

    public ClassParameters getControlClass()

### initAgMap

    public void initAgMap()

### addAgent

    public void addAgent(AgentParameters a)

### getAg

    public AgentParameters getAg(java.lang.String name)

### getAgents

    public java.util.List<AgentParameters> getAgents()

### getAllASFiles

    public java.util.Set<java.io.File> getAllASFiles()

### fixAgentsSrc

    public void fixAgentsSrc(java.lang.String urlPrefix)

  change the source of the agents using the source path information, also considers code from a jar file (if urlPrefix is not null)

### addClassPath

    public void addClassPath(java.lang.String cp)

### getClassPaths

    public java.util.List<java.lang.String> getClassPaths()

### addSourcePath

    public void addSourcePath(java.lang.String cp)

### getSourcePaths

    public java.util.List<java.lang.String> getSourcePaths()

### removeSourcePath

    public void removeSourcePath(int index)

### addDirectiveClass

    public void addDirectiveClass(java.lang.String id,
                                  ClassParameters classname)

### getDirectiveClasses

    public java.util.Map<java.lang.String,java.lang.String> getDirectiveClasses()

### registerDirectives

    public void registerDirectives()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getInfrastructureFactory

    public InfrastructureFactory getInfrastructureFactory()
                                                   throws JasonException

  Throws:
    `JasonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD